View Issue Details

IDProjectCategoryView StatusLast Update
0003233Ham Radio DeluxeBugpublic2019-03-31 11:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.907 
Target VersionFixed in Version6.5.0.207 
Summary0003233: Rig Control could have rounding in steps for its sliders
DescriptionSome parameters span a range where only certain values within that range are valid. A handy example are the AGC delay times on some Yaesu radios. The FTDX-1200, FTDX-3000, and FTDX-5000 (and probably others) support setting fast, medium, and slow AGC response times. These times are in the range of 20 to 4000 milliseconds, but only values which are multiple of 20 milliseconds are valid. 100 milliseconds is an acceptable setting, but 135 is not.

Rig Control doesn't support this arrangement. The provided slider sets from 20 to 4000 milliseconds. The slider range is continuous, so it can be used to set "139" milliseconds. Users see this as very clunky; the setting doesn't match the acceptable values for the radio, so the slider usually doesn't work ... when set to 139, it'll send that value to the radio, the radio will reject it, and the slider will snap back to the previously set value.

We can do better.
Steps To Reproduce1) Attach Rig Control to an Yaesu radio.
2) Use the "Customize Layout" feature to add a slider for "AGC Fast Delay", slow, or medium delay.
3) Use the radio's settings menu to find that same parameter. Show the menu to monitor the parameter.
4) Exercise the slider

BUG#1) usually the slider doesn't work. Sometimes, you'll luckily hit a multiple of 20 milliseconds and the slider will set the value correctly.


TagsNo tags attached.
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Relationships

related to 0003123 closedK7ZCZ slider for "VOX Delay" in Rig Control is flaky on many Yaesu radios 
related to 0003208 closedK7ZCZ Rig Control Sliders for AGC settings don't work on FTDX-1200 

Activities

K7ZCZ

2019-03-06 09:48

administrator   ~0007586

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4865

WA9PIE

2019-03-26 15:01

administrator   ~0007762

Validated during tests at HRO - Plano (TX)

Issue History

Date Modified Username Field Change
2019-03-06 09:42 K7ZCZ New Issue
2019-03-06 09:45 K7ZCZ Relationship added related to 0003123
2019-03-06 09:46 K7ZCZ Relationship added related to 0003208
2019-03-06 09:48 K7ZCZ Assigned To => K7ZCZ
2019-03-06 09:48 K7ZCZ Status new => resolved
2019-03-06 09:48 K7ZCZ Resolution open => fixed
2019-03-06 09:48 K7ZCZ Note Added: 0007586
2019-03-06 21:45 K7ZCZ Fixed in Version => 6.5.0.200
2019-03-26 15:01 WA9PIE Status resolved => closed
2019-03-26 15:01 WA9PIE Description Updated View Revisions
2019-03-26 15:01 WA9PIE Steps to Reproduce Updated View Revisions
2019-03-26 15:01 WA9PIE Testing Not Started => Beta Successful
2019-03-26 15:01 WA9PIE Note Added: 0007762
2019-03-31 11:13 WA9PIE Fixed in Version 6.5.0.200 => 6.5.0.207
2019-03-31 11:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe